/*
 * $Id: CopyrightViewForm.java,v 1.1 2006/05/18 22:48:50 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: CopyrightViewForm.java,v $
 * Revision 1.1  2006/05/18 22:48:50  marbobo
 * + Initiale Version
 *
 */
package vkc.view.form;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import vkc.view.WebShare;

public final class CopyrightViewForm extends BasicActionForm {
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		super.reset(mapping, request);
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();

		return errors;
	}
	
	public String getSystemInfo() {
		return " | VKC:" + WebShare.getProperties().get("vkc.version") + " | " + WebShare.getDbPathInfo();
	}
}